import { ActivatedRoute, ParamMap } from '@angular/router';
import { IBaseModelConstructor } from '@dev-stream/utils';
export interface IActivatedRouteInjected {
    route: ActivatedRoute;
}
export declare function FromRouteData<T = any>(dataKey?: string, routeKey?: string, ctr?: IBaseModelConstructor<T>): (target: any, propertyName: string) => void;
export declare function MapRouteParams<T = any>(property?: string, routeKey?: string, ctr?: IBaseModelConstructor<T> | 'Array'): (target: any, propertyName: string) => void;
export declare function MapQueryParams<T = any>(property?: string, routeKey?: string, ctr?: IBaseModelConstructor<T> | 'Array'): (target: any, propertyName: string) => void;
export declare function MapParams<T = any>(getParamMap: (route: ActivatedRoute) => ParamMap, property?: string, routeKey?: string, ctr?: IBaseModelConstructor<T> | 'Array'): (target: any, propertyName: string) => void;
